Subject: CVS dane: This change should speed up module initialization by reducing the pipe

From: CVS <[email-masked]>
Date: Thu, 20 May 1999 19:41:44 -0500 (CDT)

CVSROOT:	/home/cvs/fvwm
Module name:	fvwm
Changes by:	dane	99/05/20 19:41:44

Modified files:
	.              : ChangeLog 
	fvwm           : modconf.c 
	libs           : Bindings.c Module.c Module.h 
	modules        : ChangeLog 
	modules/FvwmAnimate: FvwmAnimate.c 
	modules/FvwmBacker: FvwmBacker.c 
	modules/FvwmForm: FvwmForm.c 

Log message:
This change should speed up module initialization by reducing the pipe
traffic between  modules   and fvwm2.  So  far,   I've only  changed 3
modules, but I hope to get to the rest of them soon.  I hope to get to
the module documentation too.

* libs/Module.c (GetConfigLine): New function "InitGetConfigLine"
so module only gets config lines it wants.

* fvwm/modconf.c (SendDataToModule): If matching active, only send
matching config lines.

* FvwmBacker/FvwmBacker.c (ParseConfig): Use InitGetConfigLine to
reduce pipe traffic.

* FvwmAnimate/FvwmAnimate.c: Use InitGetConfigLine to reduce pipe
traffic.

* FvwmForm/FvwmForm.c: Use InitGetConfigLine to reduce pipe traffic.
/tools/dane/fvwm/build_version-2_3_3/fvwm/

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]